## com.baidubce.services.bmr.model
Class ListInstancesRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.ListInstancesRequest

    public class ListInstancesRequest

extends AbstractBceRequest

Constructor Summary
`ListInstancesRequest()`

Method Summary
`String` `getClusterId()`
`String` `getInstanceGroupId()`
`void` `setClusterId(String clusterId)`
`void` `setInstanceGroupId(String instanceGroupId)`
`ListInstancesRequest` `withClusterId(String clusterId)` Configure the ID of the target cluster for the request.
`ListInstancesRequest` `withInstanceGroupId(String instanceGroupId)` Configure the ID of the target instance group for the request.
`ListInstancesRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListInstancesRequest

    public ListInstancesRequest()

Method Detail

### setClusterId

    public void setClusterId(String clusterId)

### getClusterId

    public String getClusterId()

### setInstanceGroupId

    public void setInstanceGroupId(String instanceGroupId)

### getInstanceGroupId

    public String getInstanceGroupId()

### withClusterId

    public ListInstancesRequest withClusterId(String clusterId)

  Configure the ID of the target cluster for the request.

  Parameters:
    `clusterId` - The ID of the target cluster.
  Returns:
    ListInstancesRequest

### withInstanceGroupId

    public ListInstancesRequest withInstanceGroupId(String instanceGroupId)

  Configure the ID of the target instance group for the request.

  Parameters:
    `instanceGroupId` - The ID of the instance group.
  Returns:
    ListInstancesRequest

### withRequestCredentials

    public ListInstancesRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    ListInstancesRequest

Copyright © 2016. All rights reserved.